#
# Copyright (C) 2024  CZ.NIC, z. s. p. o.
#
# This file is part of FRED.
#
# FRED is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# FRED is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with FRED.  If not, see <https://www.gnu.org/licenses/>.

"""Test LDAP functions."""

from django.test import SimpleTestCase

from django_pain.ldap import clean_user_data


class TestLdapFunctions(SimpleTestCase):
    """Tests of LDAP functions."""

    def test_clean_user_data(self):
        user = {"username": "jdoe", "first_name": "John", "surname": "Doe"}

        cleaned_user = clean_user_data(user)

        self.assertEqual(cleaned_user["is_staff"], True)
